TL;DR

If you’re trying to debug Go code using the Delve debugger, or the Go plug-in for IntelliJ (which uses Delve), and you get the following error:

could not launch process: Could not determine version number:
  could not find symbol value for runtime.buildVersion

you should upgrade your go environment to a newer version.

Details

Yesterday, I decided I needed a better way to debug Go code than using fmt.Println. I discovered that there’s a work-in-progress Go plug-in for IntelliJ. After installing the latest IntelliJ IDEA Community Edition, and installing the plug-in, I was dissapointed to be greeted with the could not find symbol value for runtime.buildVersion error when I tried to debug.

After searching through the Delve code, I decided that the most likely fix was to upgrade my go installation. At that point I was running version 1.3.3. After upgrading to 1.5.1, I can now happily go about my debugging.